summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorBenjamin Chr├ętien2016-01-20 13:44:31 +0900
committerBenjamin Chr├ętien2016-01-20 13:44:31 +0900
commitc12baeb02fd9905f502a40ce320cc270e4d8541e (patch)
treeade31e86e34b287c9e98b0e80704eefbab2524b7
parentbdbf9d3b1f893c67f2b7d4df08818cacc1ecfa4c (diff)
downloadaur-c12baeb02fd9905f502a40ce320cc270e4d8541e.tar.gz
Update
-rw-r--r--.SRCINFO6
-rwxr-xr-xPKGBUILD15
2 files changed, 14 insertions, 7 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 88523ca8c40..d7848e1db30 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,8 @@
+# Generated by mksrcinfo v8
+# Wed Jan 20 04:43:50 UTC 2016
pkgbase = roboptim-trajectory-git
pkgdesc = Trajectory optimization for robotics
- pkgver = 1.0.r157.gf701a7a
+ pkgver = 3.1.r67.gee9ed09
pkgrel = 1
url = http://roboptim.net/
arch = i686
@@ -17,7 +19,7 @@ pkgbase = roboptim-trajectory-git
depends = libltdl
provides = roboptim-trajectory
conflicts = roboptim-trajectory
- source = roboptim-trajectory::git+https://github.com/roboptim/roboptim-trajectory.git
+ source = roboptim-trajectory::git+file:////home/ben/dev/roboptim-trajectory#branch=dev
md5sums = SKIP
pkgname = roboptim-trajectory-git
diff --git a/PKGBUILD b/PKGBUILD
index 9429dca0220..29d9559146c 100755
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Benjamin Chretien <chretien at lirmm dot fr>
pkgname=roboptim-trajectory-git
-pkgver=1.0.r157.gf701a7a
+pkgver=3.1.r67.gee9ed09
pkgrel=1
pkgdesc="Trajectory optimization for robotics"
arch=('i686' 'x86_64')
@@ -23,7 +23,11 @@ _buildtype="RelWithDebInfo"
pkgver() {
cd "${srcdir}/${_name}"
- git describe --long --tags | cut -c 2- | sed 's/\([^-]*-g\)/r\1/;s/-/./g'
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null \
+ | sed -E 's/([^-]*-g)/r\1/;s/-/./g;s/^v([0-9])/\1/' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
# Build the project
@@ -40,8 +44,9 @@ build() {
# Run CMake in release
cmake -DCMAKE_BUILD_TYPE="${_buildtype}" \
- -DCMAKE_INSTALL_PREFIX="/usr" \
- "${srcdir}/${_name}"
+ -DCMAKE_INSTALL_PREFIX="/usr" \
+ -DCMAKE_INSTALL_LIBDIR="lib" \
+ "${srcdir}/${_name}"
# Compile the library
msg "Building the project..."
@@ -57,7 +62,7 @@ check() {
msg "Running unit tests..."
cd "${srcdir}/${_name}/build"
- make test
+ make test || return 0
}
# Create the package